import { Component, OnInit } from '@angular/core';
import { WebSocketService } from '../websocket.service';
import { FSMUpdateService } from '../fsmupdate.service';

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.scss']
})
export class DashboardComponent implements OnInit {
  constructor(private webSocketService: WebSocketService, private fsmUpdateService: FSMUpdateService) {}

  ngOnInit() {
    this.webSocketService.connect();
    this.webSocketService.send('reset', '');
    this.fsmUpdateService.init();
  }
}
